import {CUpdateForm, CUsersList, SearchUserInput} from "./index";
import {gql, urlUpload, actionPromise, actionGoodCard, getGoods,
    actionUserFindOne, updateImgAction} from "../reducers";
import {createStore, combineReducers, applyMiddleware, bindActionCreators} from 'redux';
import { connect } from "react-redux";
import { useEffect, useState, useRef } from "react";

import {BrowserRouter as Router, Route, Link, Switch, Redirect, useHistory} from 'react-router-dom';


const YourProfile = ({state, data, getData, match:{params:{login}}}) => {
     useEffect(() =>  getData(`${login}`),[login])
     const date = new Date(data ? +data.createdAt : 0);
     const [showUpdate, onShow] = useState(false);
     const [searchInput, changeValue] = useState("Пошук");
     const history = useHistory();
     //console.log(data)
     if(data){
        return (
            <>
            <div className = "userSearch">
                <input type = "text" placeholder = "Пошук юзера" onChange = {e => changeValue(e.target.value)} onKeyDown = {(e) => e.keyCode == 13 && history.push(`/searchUser/${searchInput}`)}/>
                <Link to = {"/searchUser/" + searchInput}>
                    <button>Пошук</button>
                </Link>
            </div>

                <div className = "profilePage">
                    <h2>Привіт, {data.nick || "людино"}!</h2>
                    <img src={data.avatar ? `${urlUpload}/${data.avatar.url}`: 'https://pngicon.ru/file/uploads/picca-1.png'} />
                    <span>
                        Сторінку створено {`${date.getDate()}. ${date.getMonth() + 1}. ${date.getFullYear()} о ${date.getHours()}: ${date.getMinutes()}: ${date.getSeconds()}  `}
                    </span>
                    <span>
                    {/* <p><a href="http://htmlbook.ru" target="_blank">Ссылка 
  открывает новое окно на сайт www.htmlbook.ru</a></p>  */}
                        Пс.. не подобається аватар, логін чи нікнейм? То зміни їх
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-right" viewBox="0 0 16 16">
                        <path fill-rule="evenodd" d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8z"/>
                        </svg>
                        <span className = "click" onClick = {() => onShow(!showUpdate)}>ТИЦ</span>
                    </span>
                    {showUpdate && <CUpdateForm id = {data._id}/>}
                    
                </div>
            </>
    )
    } else {
        return(
            <>
            </>
        )
    }
}

const mapStateToProps = state => ({
     state: state,
     data: state.promiseRed && state.promiseRed.user &&
     state.promiseRed.user.payload && state.promiseRed.user.payload.data &&
     state.promiseRed.user.payload.data.UserFindOne
  });


  
  const mapDispatchToProps = dispatch => bindActionCreators({
    getData: actionUserFindOne,
  }, dispatch);

const CYourProfile = connect(mapStateToProps, mapDispatchToProps)
(YourProfile)
export default CYourProfile;